## Index

### Classes

- NanoSQLInstance

### Interfaces

- ActionOrView
- DBConnect
- DBExec
- DBFunction
- DBRow
- DataModel
- DatabaseEvent
- IActionViewMod
- JoinArgs
- NanoSQLBackend
- ORMArgs
- QueryLine
- StdObject
- UUID
- timeId
- timeIdms

### Variables

- _NanoSQLStatic
- global

### Functions

- _assign
- nSQL

## Variables

### _NanoSQLStatic

_NanoSQLStatic: NanoSQLInstance = new NanoSQLInstance()

- Defined in index.ts:1518

internal

### global

global: any

- Defined in index.ts:6

## Functions

### _assign

- _assign(obj: any): any

- - Defined in index.ts:142

  #### Parameters

  - ##### obj: any

  #### Returns any

### nSQL

- nSQL(setTablePointer?: undefined | string): NanoSQLInstance

- - Defined in index.ts:1520

  #### Parameters

  - ##### Optional setTablePointer: undefined | string

  #### Returns NanoSQLInstance

Generated using TypeDoc